---
title: Screen.width
slug: Web/API/Screen/width
tags:
  - API
  - CSSOM View
  - Property
  - Reference
---
<p>{{APIRef("CSSOM")}}</p>

<p>The <code><strong>Screen.width</strong></code> read-only property returns the width of the screen in pixels.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>lWidth</var> = window.screen.width
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js; notranslate">// Crude way to check that the screen is at least 1024x768
if (window.screen.width &gt;= 1024 &amp;&amp; window.screen.height &gt;= 768) {
  // Resolution is 1024x768 or above
}
</pre>

<h2 id="Notes">Notes</h2>

<p>Note that not all of the width given by this property may be available to the window itself. When other widgets occupy space that cannot be used by the <code>window</code> object, there is a difference in <code>window.screen.width</code> and <code>window.screen.availWidth</code>. See also {{DOMxRef("screen.height")}}.</p>

<p>Internet Explorer will take into account the zoom setting when reporting the screen width. It will only return the real width of the screen if the zoom is set to 100%.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM View', '#dom-screen-width', 'Screen.width')}}</td>
   <td>{{Spec2('CSSOM View')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Screen.width")}}</p>
